/* Fo
 * fo-area-layout.h: Layout area object
 *
 * Copyright (C) 2001 Sun Microsystems
 *
 * $Id: fo-area-layout.h,v 1.4 2004/06/03 21:15:31 tonygraham Exp $
 *
 * See Copying for the status of this software.
 */

#ifndef __FO_AREA_LAYOUT_H__
#define __FO_AREA_LAYOUT_H__

#include <pango/pango.h>
#include <libfo/fo-utils.h>
#include <fo-area.h>
#include <fo-block.h>

G_BEGIN_DECLS

typedef struct _FoAreaLayout      FoAreaLayout;
typedef struct _FoAreaLayoutClass FoAreaLayoutClass;

#define FO_TYPE_AREA_LAYOUT              (fo_area_layout_get_type ())
#define FO_AREA_LAYOUT(object)           (G_TYPE_CHECK_INSTANCE_CAST ((object), FO_TYPE_AREA_LAYOUT, FoAreaLayout))
#define FO_AREA_LAYOUT_CLASS(klass)      (G_TYPE_CHECK_CLASS_CAST ((klass), FO_TYPE_AREA_LAYOUT, FoAreaLayoutClass))
#define FO_IS_AREA_LAYOUT(object)        (G_TYPE_CHECK_INSTANCE_TYPE ((object), FO_TYPE_AREA_LAYOUT))
#define FO_IS_AREA_LAYOUT_CLASS(klass)   (G_TYPE_CHECK_CLASS_TYPE ((klass), FO_TYPE_AREA_LAYOUT))
#define FO_AREA_LAYOUT_GET_CLASS(obj)    (G_TYPE_INSTANCE_GET_CLASS ((obj), FO_TYPE_AREA_LAYOUT, FoAreaLayoutClass))


GType    fo_area_layout_get_type      (void) G_GNUC_CONST;
FoArea * fo_area_layout_new (void);
void fo_area_layout_set_layout (FoArea *fo_area_layout,
				PangoLayout *new_layout);
PangoLayout* fo_area_layout_get_layout (FoArea *fo_area_layout);
void    fo_area_layout_set_line_first  (FoArea *fo_area_layout,
					gint    new_line_first);
gint    fo_area_layout_get_line_first  (FoArea *fo_area_layout);
void    fo_area_layout_set_line_last   (FoArea *fo_area_layout,
					gint    new_line_last);
gint    fo_area_layout_get_line_last   (FoArea *fo_area_layout);
gdouble fo_area_layout_get_line_height (FoArea *fo_area_layout,
					gint    line_number);
G_END_DECLS

#endif /* !__FO_AREA_LAYOUT_H__ */
