/* Fo
 * fo-doc-commands.h: Commands for an FoDoc
 *
 * Copyright (C) 2001-2003 Sun Microsystems
 *
 * $Id: fo-doc-commands.h,v 1.3 2005/09/12 09:37:46 tonygraham Exp $
 *
 * See Copying for the status of this software.
 */

#ifndef __FO_DOC_COMMANDS_H__
#define __FO_DOC_COMMANDS_H__

#include <libfo/fo-doc.h>
#include <datatype/fo-datatype.h>
#include <libfo/fo-utils.h>
#include <libfo/fo-libfo-context.h>
#include <libfo/fo-font-desc.h>
#include <util/fo-image.h>
#include <area/fo-area.h>

G_BEGIN_DECLS

void          fo_doc_begin_page     (FoDoc        *fo_doc,
				     gfloat        width,
				     gfloat        height);
void          fo_doc_end_page       (FoDoc        *fo_doc);
FoDatatype *  fo_doc_get_fill_color (FoDoc        *fo_doc);
void          fo_doc_set_fill_color (FoDoc        *fo_doc,
				     FoDatatype   *color);
FoDatatype *  fo_doc_get_stroke_color (FoDoc        *fo_doc);
void          fo_doc_set_stroke_color (FoDoc        *fo_doc,
				       FoDatatype   *color);
FoDocLineCap  fo_doc_get_line_cap   (FoDoc        *fo_doc);
void          fo_doc_set_line_cap   (FoDoc        *fo_doc,
				     FoDocLineCap  line_cap);
FoDocLineJoin fo_doc_get_line_join  (FoDoc        *fo_doc);
void          fo_doc_set_line_join  (FoDoc        *fo_doc,
				     FoDocLineJoin line_join);
gfloat        fo_doc_get_line_width (FoDoc        *fo_doc);
void          fo_doc_set_line_width (FoDoc        *fo_doc,
				     gfloat        line_width);
void          fo_doc_set_dash       (FoDoc        *fo_doc,
				     gfloat        b,
				     gfloat        w);
void          fo_doc_translate      (FoDoc        *fo_doc,
				     gfloat        x,
				     gfloat        y);
void          fo_doc_clip           (FoDoc        *fo_doc);
void          fo_doc_save           (FoDoc        *fo_doc);
void          fo_doc_restore        (FoDoc        *fo_doc);
void          fo_doc_line_to        (FoDoc        *fo_doc,
				     gfloat        x,
				     gfloat        y);
void          fo_doc_move_to        (FoDoc        *fo_doc,
				     gfloat        x,
				     gfloat        y);
void          fo_doc_line_stroked   (FoDoc        *fo_doc,
				     gfloat        x0,
				     gfloat        y0,
				     gfloat        x1,
				     gfloat        y1);
void          fo_doc_rect_stroked   (FoDoc        *fo_doc,
				     gfloat        x,
				     gfloat        y,
				     gfloat        width,
				     gfloat        height);
void          fo_doc_rect_filled    (FoDoc        *fo_doc,
				     gfloat        x,
				     gfloat        y,
				     gfloat        width,
				     gfloat        height);
void          fo_doc_fill           (FoDoc        *fo_doc);
void          fo_doc_stroke         (FoDoc        *fo_doc);
void          fo_doc_fill_stroke    (FoDoc        *fo_doc);

void          fo_doc_place_image     (FoDoc        *fo_doc,
				      FoImage      *fo_image,
				      gfloat        x,
				      gfloat        y,
				      gfloat        xscale,
				      gfloat        yscale);

FoFontDesc *  fo_doc_get_font_desc  (FoDoc *fo_doc);

void 	      fo_doc_render_layout_lines (FoDoc   *fo_doc,
					  FoArea  *area_layout,
					  gfloat   x,
					  gfloat   y);
void 	      fo_doc_render_layout       (FoDoc   *fo_doc,
					  FoArea  *area_layout,
					  gfloat   x,
					  gfloat   y);

G_END_DECLS

#endif /* !__FO_DOC_COMMANDS_H__ */
