/* Fo
 * fo-all-property.h: Header file that includes all property header files
 *
 * Copyright (C) 2001 Sun Microsystems
 *
 * $Id: fo-all-property.h,v 1.8 2006/01/16 11:54:45 tonygraham Exp $
 *
 * See Copying for the status of this software.
 */

#ifndef __FO_ALL_PROPERTY_H__
#define __FO_ALL_PROPERTY_H__

G_BEGIN_DECLS

#include "fo-property.h"

/* Property objects */

/* font-size goes first because the various new_from_expr()
   functions need to know about the 'font-size' property */
#include "fo-property-font-size.h"

/* Common border stuff */
#include "fo-property-border.h"
/* Common padding stuff */
#include "fo-property-padding.h"

#include "fo-property-alignment-adjust.h"
#include "fo-property-alignment-baseline.h"
#include "fo-property-background-color.h"
#include "fo-property-background-image.h"
#include "fo-property-baseline-shift.h"
#include "fo-property-block-progression-dimension.h"
#include "fo-property-block-progression-dimension-minimum.h"
#include "fo-property-block-progression-dimension-optimum.h"
#include "fo-property-block-progression-dimension-maximum.h"
#include "fo-property-border-after-color.h"
#include "fo-property-border-after-precedence.h"
#include "fo-property-border-after-style.h"
#include "fo-property-border-after-width.h"
#include "fo-property-border-before-color.h"
#include "fo-property-border-before-precedence.h"
#include "fo-property-border-before-style.h"
#include "fo-property-border-before-width.h"
#include "fo-property-border-bottom.h"
#include "fo-property-border-bottom-color.h"
#include "fo-property-border-bottom-style.h"
#include "fo-property-border-bottom-width.h"
#include "fo-property-border-color.h"
#include "fo-property-border-collapse.h"
#include "fo-property-border-end-color.h"
#include "fo-property-border-end-precedence.h"
#include "fo-property-border-end-style.h"
#include "fo-property-border-end-width.h"
#include "fo-property-border-left.h"
#include "fo-property-border-left-color.h"
#include "fo-property-border-left-style.h"
#include "fo-property-border-left-width.h"
#include "fo-property-border-right.h"
#include "fo-property-border-right-color.h"
#include "fo-property-border-right-style.h"
#include "fo-property-border-right-width.h"
#include "fo-property-border-separation.h"
#include "fo-property-border-start-color.h"
#include "fo-property-border-start-precedence.h"
#include "fo-property-border-start-style.h"
#include "fo-property-border-start-width.h"
#include "fo-property-border-style.h"
#include "fo-property-border-top.h"
#include "fo-property-border-top-color.h"
#include "fo-property-border-top-style.h"
#include "fo-property-border-top-width.h"
#include "fo-property-border-width.h"
#include "fo-property-break-after.h"
#include "fo-property-break-before.h"
#include "fo-property-character.h"
#include "fo-property-clip.h"
#include "fo-property-color.h"
#include "fo-property-column-number.h"
#include "fo-property-column-width.h"
#include "fo-property-content-height.h"
#include "fo-property-content-type.h"
#include "fo-property-content-width.h"
#include "fo-property-direction.h"
#include "fo-property-display-align.h"
#include "fo-property-dominant-baseline.h"
#include "fo-property-end-indent.h"
#include "fo-property-extent.h"
#include "fo-property-flow-name.h"
#include "fo-property-font-family.h"
/* 'font-size' property already included above. */
#include "fo-property-font-stretch.h"
#include "fo-property-font-style.h"
#include "fo-property-font-variant.h"
#include "fo-property-font-weight.h"
#include "fo-property-format.h"
#include "fo-property-grouping-separator.h"
#include "fo-property-grouping-size.h"
#include "fo-property-height.h"
#include "fo-property-id.h"
#include "fo-property-inline-progression-dimension.h"
#include "fo-property-inline-progression-dimension-minimum.h"
#include "fo-property-inline-progression-dimension-optimum.h"
#include "fo-property-inline-progression-dimension-maximum.h"
#include "fo-property-keep-together.h"
#include "fo-property-keep-together-within-column.h"
#include "fo-property-keep-together-within-line.h"
#include "fo-property-keep-together-within-page.h"
#include "fo-property-keep-with-next.h"
#include "fo-property-keep-with-next-within-column.h"
#include "fo-property-keep-with-next-within-line.h"
#include "fo-property-keep-with-next-within-page.h"
#include "fo-property-keep-with-previous.h"
#include "fo-property-keep-with-previous-within-column.h"
#include "fo-property-keep-with-previous-within-line.h"
#include "fo-property-keep-with-previous-within-page.h"
#include "fo-property-letter-value.h"
#include "fo-property-line-height.h"
#include "fo-property-line-stacking-strategy.h"
#include "fo-property-margin.h"
#include "fo-property-margin-bottom.h"
#include "fo-property-margin-left.h"
#include "fo-property-margin-right.h"
#include "fo-property-margin-top.h"
#include "fo-property-master-name.h"
#include "fo-property-master-reference.h"
#include "fo-property-media-usage.h"
#include "fo-property-number-columns-repeated.h"
#include "fo-property-number-columns-spanned.h"
#include "fo-property-number-rows-spanned.h"
#include "fo-property-orphans.h"
#include "fo-property-overflow.h"
/* 'padding' property already included above. */
#include "fo-property-padding-after.h"
#include "fo-property-padding-after-conditionality.h"
#include "fo-property-padding-after-length.h"
#include "fo-property-padding-before.h"
#include "fo-property-padding-before-conditionality.h"
#include "fo-property-padding-before-length.h"
#include "fo-property-padding-bottom.h"
#include "fo-property-padding-end.h"
#include "fo-property-padding-end-conditionality.h"
#include "fo-property-padding-end-length.h"
#include "fo-property-padding-left.h"
#include "fo-property-padding-right.h"
#include "fo-property-padding-start.h"
#include "fo-property-padding-start-conditionality.h"
#include "fo-property-padding-start-length.h"
#include "fo-property-padding-top.h"
#include "fo-property-page-height.h"
#include "fo-property-page-width.h"
#include "fo-property-provisional-distance-between-starts.h"
#include "fo-property-provisional-label-separation.h"
#include "fo-property-region-name.h"
#include "fo-property-role.h"
#include "fo-property-scaling.h"
#include "fo-property-scaling-method.h"
#include "fo-property-score-spaces.h"
#include "fo-property-source-document.h"
#include "fo-property-space-after.h"
#include "fo-property-space-after-minimum.h"
#include "fo-property-space-after-optimum.h"
#include "fo-property-space-after-maximum.h"
#include "fo-property-space-after-precedence.h"
#include "fo-property-space-after-conditionality.h"
#include "fo-property-space-before.h"
#include "fo-property-space-before-minimum.h"
#include "fo-property-space-before-optimum.h"
#include "fo-property-space-before-maximum.h"
#include "fo-property-space-before-precedence.h"
#include "fo-property-space-before-conditionality.h"
#include "fo-property-space-end.h"
#include "fo-property-space-end-minimum.h"
#include "fo-property-space-end-optimum.h"
#include "fo-property-space-end-maximum.h"
#include "fo-property-space-end-precedence.h"
#include "fo-property-space-end-conditionality.h"
#include "fo-property-space-start.h"
#include "fo-property-space-start-minimum.h"
#include "fo-property-space-start-optimum.h"
#include "fo-property-space-start-maximum.h"
#include "fo-property-space-start-precedence.h"
#include "fo-property-space-start-conditionality.h"
#include "fo-property-src.h"
#include "fo-property-start-indent.h"
#include "fo-property-table-layout.h"
#include "fo-property-text-align.h"
#include "fo-property-text-indent.h"
#include "fo-property-unicode-bidi.h"
#include "fo-property-widows.h"
#include "fo-property-width.h"
#include "fo-property-wrap-option.h"
#include "fo-property-writing-mode.h"

G_END_DECLS

#endif /* !__FO_ALL_PROPERTY_H__ */
