/* Fo
 * result-to-fo.h: Convert result tree to formatting object tree
 *
 * Copyright (C) 2001 Sun Microsystems
 *
 * $Id: result-to-fo.h,v 1.11 2006/01/16 14:36:26 tonygraham Exp $
 *
 * See Copying for the status of this software.
 */

#ifndef __FO_RESULT_TO_FO_H__
#define __FO_RESULT_TO_FO_H__

G_BEGIN_DECLS

#include <libfo/fo-utils.h>
#include <libfo/fo-doc.h>
#include "fo/fo-fo.h"
#include "area/fo-area.h"

#define FO_RESULT_TO_FO_ERROR (fo_result_to_fo_error_quark ())

GQuark fo_result_to_fo_error_quark (void) G_GNUC_CONST;

typedef enum
{
  FO_RESULT_TO_FO_ERROR_FAILED,		/* Generic error code */
  FO_RESULT_TO_FO_ERROR_WARNING,	/* Non-fatal error */
  FO_RESULT_TO_FO_ERROR_NODE_TYPE,	/* Unexpected node type */
  FO_RESULT_TO_FO_ERROR_UNKNOWN_FO,	/* Unknown FO element type */
  FO_RESULT_TO_FO_ERROR_UNSUPPORTED_PROPERTY,	/* Unsupported property */
  FO_RESULT_TO_FO_ERROR_LAST
} FoResultToFoError;

extern const char *fo_result_to_fo_error_messages[FO_RESULT_TO_FO_ERROR_LAST];

typedef struct _FoPropertyResolveContext FoPropertyResolveContext;

struct _FoPropertyResolveContext
{
  FoArea     *reference_area;
  GHashTable *prop_eval_hash;
  gboolean    continue_after_error;
  guint       debug_level;
  GError    **error;
};

void fo_xml_doc_to_fo_and_area_trees (xmlDocPtr res,
				      FoDoc    *fo_doc,
				      FoFo    **fo_tree,
				      FoArea  **area_tree,
				      gboolean  continue_after_error,
				      gint      debug_level,
				      GError   **error);
#if 0
void fo_node_children_properties_resolve (FoFo *parent_fo,
					  FoArea *parent_fo_parent_area,
					  FoArea **new_area,
					  GHashTable *prop_eval_hash,
					  FoDoc *fo_doc,
					  gboolean    continue_after_error,
					  gint debug_level,
					  GError **error);
#endif
gboolean fo_fo_resolve_property_attributes_default (FoNode  *fo_node,
						   gpointer data);

G_END_DECLS

#endif /* __FO_RESULT_TO_FO_H__ */
